<script>
  import Transliterator from 'libindic-transliteration';

  const transliterator = new Transliterator();

  const langOptions = [{
      code: 'ml',
      name: 'Malayalam'
    },
    {
      code: 'hi',
      name: 'Hindi'
    },
    {
      code: 'kn',
      name: 'Kannada'
    }
  ]
  let fromText = '';
  let fromLanguage = langOptions[0];
  $: englishText = transliterator[`transliterate_${fromLanguage.code}_en`](fromText)
</script>
<svelte:head>
  <title>Romanizer/Transliterator</title>
</svelte:head>

<h1>Romanizer/Transliterator</h1>

<label class="siimple-label siimple--color-white">Pick language: </label>
<select bind:value={fromLanguage} class="siimple-input">
  {#each langOptions as lang}
	<option value={lang} disabled={lang.disabled}>{lang.name}</option>
	{/each}
</select>
<main>
	<textarea rows=20 cols=60 placeholder="Enter text in {fromLanguage.name} here" bind:value={fromText} class="siimple-textarea"></textarea>
	<textarea rows=20 cols=60 placeholder="Romanized text will appear here" bind:value={englishText} class="siimple-textarea"></textarea>
</main>
<style>
	main {
		margin-top: 1em;
		display: flex;
		justify-content: space-between;
		flex-wrap: wrap;
	}
	textarea {
		width: 48%;
	}
</style>